Bug 16324 - Move item search into header
Summary: Move item search into header
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-21 22:49 UTC by Aleisha Amohia
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16324: Move item search into header (2.43 KB, patch)
2016-04-21 22:52 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16324: Move item search into header (2.48 KB, patch)
2016-06-03 07:49 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 16324: Move item search into header (2.07 KB, patch)
2016-06-09 22:20 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16324: Move item search into header (2.07 KB, patch)
2016-06-13 12:46 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 16324: Move item search into header (2.26 KB, patch)
2016-07-04 09:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-04-21 22:49:28 UTC
Item search is rarely used because it is difficult to find. If it was as easy to find as the advanced search it would probably be used more.
Comment 1 Aleisha Amohia 2016-04-21 22:52:06 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-06-03 07:49:05 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-07 16:20:27 UTC
Blocked by bug 16323
Comment 4 Aleisha Amohia 2016-06-09 22:20:11 UTC Comment hidden (obsolete)
Comment 5 Claire Gravely 2016-06-13 12:46:35 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-07-04 09:15:26 UTC
Created attachment 53073 [details] [review]
Bug 16324: Move item search into header

This patch makes the Search button in the header into a dropdown that holds the Advanced search and the Item search.
I have rewritten this patch to be independent of Bug 16323 since that patch is so controversial.

To test:
1) Confirm that Advanced search and Item search are both under the 'Search' dropdown menu in the header and both links work as expected

Sponsored-by: Catalyst IT
Signed-off-by: Claire Gravely <c.gravely@arts.ac.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Note that the CAN_user_catalogue test is useless. If a librarian does
not have it, (s)he cannot access to the staff interface.
Comment 7 Kyle M Hall 2016-07-08 14:24:01 UTC
Pushed to master for 16.11, thanks Aleisha!
Comment 8 Frédéric Demians 2016-08-01 13:34:17 UTC
Pushed in 16.05. Will be in 16.05.02.